
<!-- 拼优医支付完成 -->
<template>
    <div class="main">
        <img src="@/assets/images/union/pay-done.png" alt="拼优医完成" class="img" />
        <p
            class="unionDetail"
        >亲爱的用户,您参加"{{OrderData.DissertationName}}",如果拼优医成功,亮健会第一时间通知您关于此次坐诊的详情安排!您也可以在"我的"-"拼优医记录"查看拼优医进度。</p>
        <div class="button" @click="catDetail">查看详情</div>
    </div>
</template>
<script>
    export default {
        data(){
            return{
                OrderData:{},
                ordercode: this.$route.query.ordercode,
            }
        },
        created(){
            this.GetGroupOrder();
        },
        methods: {
            GetGroupOrder(){
                this.$http.GetGroupOrder(this.ordercode).then(({data})=>{
                    if(data.IsSuccess){
                        this.OrderData = data.ResultObject;
                    }else{
                        this.$toast(data.ResultMsg)
                    }
                })
            },
            catDetail() {
                // 回到拼优医订单详情
                this.$router.replace({path:"/reservationDetail",query:{id:this.OrderData.OrderID}});
            }
        }
    };
</script>
<style lang='less' scoped>
    .main {
        padding-top: 0.74rem;
        .img {
            width: 2.04rem;
            margin-bottom: 0.2rem;
        }
        .unionDetail {
            text-align: left;
            width: 6.05rem;
            font-size: 0.26rem;
            line-height: 0.4rem;
            letter-spacing: 0.01rem;
            color: #000000;
            margin: 0 auto;
        }
        .button {
            width: 6rem;
            margin-top: 1.5rem;
        }
    }
</style>
